Loading...
Searching...
No Matches
pcl::cuda::PointCloudAOS< Storage > Class Template Reference

PointCloudAOS represents an AOS (Array of Structs) PointCloud implementation for CUDA processing. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Types

using | iterator = typename Storage<PointXYZRGB>::type::iterator
using | Ptr = shared_ptr<PointCloudAOS<Storage> >
using | ConstPtr = shared_ptr<const PointCloudAOS<Storage> >

## Public Member Functions

| PointCloudAOS ()
PointCloudAOS & | operator= (const PointCloudAOS &rhs)
template<typename OtherStorage>
PointCloudAOS & | operator<< (const OtherStorage &rhs)
PointXYZRGB | at (int u, int v) const
PointXYZRGB & | operator() (int u, int v)
const PointXYZRGB & | operator() (int u, int v) const

## Public Attributes

Storage< PointXYZRGB >::type | points
| The point data.
unsigned int | width
| The point cloud width (if organized as an image-structure).
unsigned int | height
| The point cloud height (if organized as an image-structure).
bool | is_dense
| True if no points are invalid (e.g., have NaN or Inf values).

## Detailed Description

template<template< typename > class Storage>
class pcl::cuda::PointCloudAOS< Storage >

PointCloudAOS represents an AOS (Array of Structs) PointCloud implementation for CUDA processing.

This is the most efficient way to perform operations on x86 architectures (using SSE alignment).

Definition at line 132 of file point_cloud.h.

## Member Typedef Documentation

## ConstPtr

template<template< typename > class Storage>

using pcl::cuda::PointCloudAOS< Storage >::ConstPtr = shared_ptr<const PointCloudAOS<Storage> >

Definition at line 200 of file point_cloud.h.

## iterator

template<template< typename > class Storage>

using pcl::cuda::PointCloudAOS< Storage >::iterator = typename Storage<PointXYZRGB>::type::iterator

Definition at line 189 of file point_cloud.h.

## Ptr

template<template< typename > class Storage>

using pcl::cuda::PointCloudAOS< Storage >::Ptr = shared_ptr<PointCloudAOS<Storage> >

Definition at line 199 of file point_cloud.h.

## Constructor & Destructor Documentation

## PointCloudAOS()

template<template< typename > class Storage>

pcl::cuda::PointCloudAOS< Storage >::PointCloudAOS | ( |  | ) |

inline

Definition at line 135 of file point_cloud.h.

References height, is_dense, and width.

Referenced by operator<<(), and operator=().

## Member Function Documentation

## at()

template<template< typename > class Storage>

PointXYZRGB pcl::cuda::PointCloudAOS< Storage >::at | ( | int | u,
|  | int | v ) const

inline

Definition at line 164 of file point_cloud.h.

References height, points, and width.

## operator()() [1/2]

template<template< typename > class Storage>

PointXYZRGB & pcl::cuda::PointCloudAOS< Storage >::operator() | ( | int | u,
|  | int | v )

inline

Definition at line 176 of file point_cloud.h.

References points, and width.

## operator()() [2/2]

template<template< typename > class Storage>

const PointXYZRGB & pcl::cuda::PointCloudAOS< Storage >::operator() | ( | int | u,
|  | int | v ) const

inline

Definition at line 180 of file point_cloud.h.

References points, and width.

## operator<<()

template<template< typename > class Storage>
template<typename OtherStorage>

PointCloudAOS & pcl::cuda::PointCloudAOS< Storage >::operator<< | ( | const OtherStorage & | rhs | ) |

inline

Definition at line 150 of file point_cloud.h.

References height, is_dense, PointCloudAOS(), points, and width.

## operator=()

template<template< typename > class Storage>

PointCloudAOS & pcl::cuda::PointCloudAOS< Storage >::operator= | ( | const PointCloudAOS< Storage > & | rhs | ) |

inline

Definition at line 139 of file point_cloud.h.

References height, is_dense, PointCloudAOS(), points, and width.

## Member Data Documentation

## height

template<template< typename > class Storage>

unsigned int pcl::cuda::PointCloudAOS< Storage >::height

The point cloud height (if organized as an image-structure).

Definition at line 194 of file point_cloud.h.

Referenced by at(), operator<<(), operator=(), and PointCloudAOS().

## is_dense

template<template< typename > class Storage>

bool pcl::cuda::PointCloudAOS< Storage >::is_dense

True if no points are invalid (e.g., have NaN or Inf values).

Definition at line 197 of file point_cloud.h.

Referenced by operator<<(), operator=(), and PointCloudAOS().

## points

template<template< typename > class Storage>

Storage<PointXYZRGB>::type pcl::cuda::PointCloudAOS< Storage >::points

The point data.

Definition at line 187 of file point_cloud.h.

Referenced by at(), operator()(), operator()(), operator<<(), and operator=().

## width

template<template< typename > class Storage>

unsigned int pcl::cuda::PointCloudAOS< Storage >::width

The point cloud width (if organized as an image-structure).

Definition at line 192 of file point_cloud.h.

Referenced by at(), operator()(), operator()(), operator<<(), operator=(), and PointCloudAOS().

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/point_cloud.h